/*#############################################################
Name: ajax Js CSS
Version: 1.1
QQ: 262403819
URL: http://www.dj775.com/
#############################################################*/
var DomainUrl = top.location.hostname;
var AuthUrl = top.location.hostname;

function Trim(){
	return this.replace(/\s+$|^\s+/g,"");
}
String.prototype.Trim=Trim;

function getObjValues(id){
	if(getObjects(id).value!=undefined)
		return getObjects(id).value.Trim();
	else
		return "";
}
function getObjects(id) { 	
	if (document.getElementById) { 
		return document.getElementById(id); 
	} else if (document.all) { 
		return document.all[id]; 
	} else if (document.layers) { 
		return document.layers[id]; 
	} 
}


function createXMLHttpRequest(){
       	if (window.XMLHttpRequest) {//wwww.7xiwl.com
		XMLHttpReq=new XMLHttpRequest();
	}
	else if (window.ActiveXObject) {//IE 浏览器
	     try {
			    XMLHttpReq=new ActiveXObject("Msxml2.XMLHTTP");
	     } catch (e) {
		        try{
					XMLHttpReq=new ActiveXObject("Micrsost.XMLHTTP");
				} catch(e){}
	     }
        }
}
var cache = new Array();
function getHttpObject() {
    var objType = false;
    try {
        objType = new ActiveXObject('Msxml2.XMLHTTP');
    } catch(e) {
        try {
            objType = new ActiveXObject('Microsoft.XMLHTTP');
        } catch(e) {
            objType = new XMLHttpRequest();
        }
    }
    return objType;
}

function getlogin(){
  var theHttpRequest = getHttpObject();
  theHttpRequest.onreadystatechange = function() {processAJAX();};
  theHttpRequest.open("GET", ""+web_url+"skin/ajax_login.php", true);
  theHttpRequest.send(null);
    function processAJAX(){
       if (theHttpRequest.readyState == 4) {
         if (theHttpRequest.status == 200) {
           document.getElementById("userinfo").innerHTML = unescape(theHttpRequest.responseText);
           } else {
           document.getElementById("userinfo").innerHTML = "您请求的页面出现异常错误";
                  }
           }
     }
}

function getdoHits(_id){
  var theHttpRequest = getHttpObject();
  theHttpRequest.onreadystatechange = function() {processAJAX();};
  theHttpRequest.open("GET", ""+web_url+"skin/ajax.php?action=goodbad&id="+ _id, true);
  theHttpRequest.send(null);
    function processAJAX(){
       if (theHttpRequest.readyState == 4) {
         if (theHttpRequest.status == 200) {
           document.getElementById("doHits").innerHTML = unescape(theHttpRequest.responseText);
           } else {
           document.getElementById("doHits").innerHTML = "您请求的页面出现异常错误";
                  }
           }
     }
}

function up_down(_id, _do){
	 createXMLHttpRequest();
	 XMLHttpReq.open("GET", ""+web_url+"skin/ajax.php?action=doHits&id="+ _id +"&dowhat="+ _do,true);
	 XMLHttpReq.onreadystatechange= function(){
		if(XMLHttpReq.readyState == 4){
			if(XMLHttpReq.status == 200){
	           		if(XMLHttpReq.responseText == "Err_145"){
	           	        	do_alert('您24小时内已顶（踩）过此舞曲！'); setTimeout('close_alert()', 2000);
		        	}
                                	getdoHits(_id);
			}else alert("网络链接失败");
		}
	}
	 XMLHttpReq.send(null);
	}

function sendRequest(){
	 createXMLHttpRequest();
	 XMLHttpReq.open("GET", ""+web_url+"skin/ajax_login.php?action=login&name=" + escape(getObjValues("username")) + "&pwd=" +escape(getObjValues("password")),true);
	 XMLHttpReq.onreadystatechange= processResponse;
	 XMLHttpReq.send(null);
	 }

function goutRequest(){
	 createXMLHttpRequest();
	 XMLHttpReq.open("GET", ""+web_url+"skin/ajax_login.php?action=logout",true);
	 XMLHttpReq.onreadystatechange= processResponse;
	 XMLHttpReq.send(null);  
	 }

function processResponse() {
	 if (XMLHttpReq.readyState==4){
	 if(XMLHttpReq.status==200){
	           var msg=XMLHttpReq.responseText;
	           if(msg == "Err_100"){
	                     do_alert('用户名不允许为空！'); setTimeout('close_alert()', 3000);
	           } else if(msg == "Err_101"){
	                     do_alert('密码不允许为空！'); setTimeout('close_alert()', 3000);
	           } else if(msg == "Err_102"){
	                     do_alert('用户名或密码错误，请重试！'); setTimeout('close_alert()', 3000);
	           } else if(msg == "Err_103"){
	                     do_alert('评论内容最少2个字符！'); setTimeout('close_alert()', 2000);
	           } else if(msg == "Err_104"){
	                     do_alert('发表评论成功'); setTimeout('close_alert()', 1000);
	                     window.location.reload();
	           } else if(msg == "Err_105"){
	                     alert('对不起，请 60 秒后再发表评论！'); return false;
	           } else if(msg == "Err_106"){
	                     getlogin();
	           } else if(msg == "Err_107"){
	                     alert('对不起，此账号已被锁定！'); return false;
	           } else if(msg == "Err_108"){
	                     alert('对不起，此账号尚未通过审核验证！'); return false;
	           } else if(msg == "Err_109"){
	                     do_alert('登陆成功'); setTimeout('close_alert()', 1000);
	                     window.setTimeout("document.location.reload()", 500);
	           } else {
	                     document.getElementById("userinfo").innerHTML =unescape(msg);
	           }
	 } else {
                   do_alert('您请求的页面出现异常错误！'); setTimeout('close_alert()', 5000);
	        }
         }
   }